using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	[Description("编码规则表")] 
    [Redis("ID", "CODE_TYPE")]
    [APT.Infrastructure.Api.RootOrg]
    [IgnoreT4] public partial class T_PF_CODE_RULE : MesEntityBase
    {
		public T_PF_CODE_RULE()
		{
			this.IS_IGNORE_DATE = false;
		}

		[Description("编码类型")]
        [EnumName("PFCodeRuleType")]
        public int CODE_TYPE { get; set; }
        [Description("前置符")]
        public string CODE_PREFIX { get; set; }
        [Description("流水长度")]
        public int SERIAL_NUM_LEN { get; set; }
        /// <summary>忽略日期</summary>
        [Description("忽略日期")]
        public bool? IS_IGNORE_DATE { get; set; }

        [Description("包含租户编码")]
        public bool IS_TENANT_CODE { get; set; }


        [Description("包含企业编码")]
        public bool IS_ORG_CODE { get; set; }
        /// <summary>
        /// 版本号
        /// </summary>
        [Description("版本号")]
        public int VERSION { get; set; }

        [Description("当前日期")]
        public string CURRENT_DATA { get; set; }

        [Description("生成数量")]
        public int? QTY { get; set; }

        [Description("顺序")]
        public int NUM { get; set; }

        [Description("预取保留分钟")]
        public int? TAKE_RETAIN_MIN { get; set; }

        [Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        public int? ENABLE_STATUS { get; set; }

        [Description("是否审批")]
        public bool IS_FLOW { get; set; }
        [Description("源ID")]
        public Guid? SRC_ID { get; set; }
    }
}
